com.smartgwt.client.widgets.form.fields.events

## Interface HasValueHoverHandlers

- All Superinterfaces:
    com.google.gwt.event.shared.HasHandlers
  All Known Implementing Classes:
    AutoFitTextAreaItem, BlurbItem, BooleanItem, ButtonItem, CancelItem, CanvasItem, CheckboxItem, ColorItem, ColorPickerItem, ComboBoxItem, DateItem, DateRangeItem, DateTimeItem, DoubleItem, FileItem, FloatItem, FormItem, HeaderItem, HiddenItem, IntegerItem, IPickTreeItem, LinkItem, MiniDateRangeItem, MultiComboBoxItem, MultiFileItem, NativeCheckboxItem, PasswordItem, PickTreeItem, PresetCriteriaItem, PresetDateRangeItem, RadioGroupItem, RelativeDateItem, ResetItem, RichTextItem, RowSpacerItem, SectionItem, SelectItem, SelectOtherItem, SliderItem, SpacerItem, SpinnerItem, StaticTextItem, SubmitItem, TextAreaItem, TextItem, TimeItem, ToolbarItem, UploadItem, ViewFileItem

      public interface HasValueHoverHandlers
      extends com.google.gwt.event.shared.HasHandlers

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addValueHoverHandler(ValueHoverHandler handler)` Optional stringMethod to fire when the user hovers over this item's value.

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Method Detail

    - #### addValueHoverHandler

          com.google.gwt.event.shared.HandlerRegistration addValueHoverHandler(ValueHoverHandler handler)

      Optional stringMethod to fire when the user hovers over this item's value. Call `com.smartgwt.client.widgets.form.fields.events.ValueHoverEvent#cancel()` from within `ValueHoverHandler.onValueHover(com.smartgwt.client.widgets.form.fields.events.ValueHoverEvent)` to suppress default behavior of showing a hover canvas containing the HTML returned by `valueHoverHTML()` / `DynamicForm.valueHoverHTML()`.
      Parameters:
        `handler` - the valueHover handler
      Returns:
        `HandlerRegistration` used to remove this handler